import { AxiosInstance } from '@dfns/cloud-library';
import { AuthBlock, CreateSignedAuthAttestationResponse } from '@dfns/datamodel/dist/Auth';
import { EntityId } from '@dfns/datamodel/dist/Foundations';
import { AuthVerifyApiRequest } from '../types';
export declare class AuthV2Client {
    private client;
    constructor(client: AxiosInstance);
    createSignedAuthAttestation(request: AuthVerifyApiRequest): Promise<CreateSignedAuthAttestationResponse>;
    createOrgOwner(orgId: EntityId, email: string, authBlock: AuthBlock): Promise<void>;
}
